( function( $ ) {

  $(document).ready(function($){

  	// Featured carousel.
  	if( $('#featured-carousel').length > 0 ) {
		$('.featured-carousel-wrapper').slick();
	}


  	// Tabbed.
  	$('.tabbed-container').easytabs({
  		updateHash: false,
  		animationSpeed: 'fast'
  	});

    // Search in Header.
    if( $('.search-icon').length > 0 ) {
        $('.search-icon').on( 'click',function(e){
            e.preventDefault();
            $('.search-box-wrap').slideToggle();
        });
    }
    
    // Notice ticker.
    var $news_ticker = $('#news-ticker');
    if ( $news_ticker.length > 0 ) {
    	$news_ticker.easyTicker({
    		direction: 'up',
    		easing: 'swing',
    		speed: 'slow',
    		interval: 3000,
    		height: 'auto',
    		visible: 1,
    		mousePause: 1
    	});
    }

    // Fixed header.
    $(window).on( 'scroll',function () {
    	if( $(window).scrollTop() > $('#main-nav,.site-header').offset().top && !($('#main-nav,.site-header').hasClass('fixed'))){
    		$('#main-nav,.site-header').addClass('fixed');
    	}

    	else if ( 0 === $(window).scrollTop() ){
    		$('#main-nav,.site-header').removeClass('fixed');
    	}
    });

    // Implement go to top.
    if ( 1 === parseInt( magazinePlusCustomOptions.go_to_top_status, 10 ) ) {
		var $scroll_obj = $( '#btn-scrollup' );
		$( window ).on( 'scroll',function(){
			if ( $( this ).scrollTop() > 100 ) {
				$scroll_obj.fadeIn();
			} else {
				$scroll_obj.fadeOut();
			}
		});

		$scroll_obj.on( 'click',function(){
			$( 'html, body' ).animate( { scrollTop: 0 }, 600 );
			return false;
		});
    }

  });

} )( jQuery );
